%define anolis_release 1

Summary: File system tree viewer
Name: tree
Version: 2.1.0
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: http://mama.indstate.edu/users/ice/tree/
Source0: http://mama.indstate.edu/users/ice/tree/src/tree-%{version}.tgz

BuildRequires: gcc
BuildRequires: make

Patch0: tree-license-fsf-addr.patch
Patch1: tree-args.patch
Patch2: tree-size-field-len.patch
Patch3: tree-static-analysis.patch

%description
The tree utility recursively displays the contents of directories in a
tree-like format.  Tree is basically a UNIX port of the DOS tree
utility.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

# do not escape UTF-8 chars in file names by default in UTF-8 locale (#1480778)
sed -e 's/LINUX/__linux__/' -i tree.c

%build
%make_build

%install
%make_install DESTDIR=$RPM_BUILD_ROOT%{_bindir} \
	      MANDIR=$RPM_BUILD_ROOT%{_mandir}

%generate_compatibility_deps

%files
%{_bindir}/tree
%{_mandir}/man1/tree.1*
%license LICENSE
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc README

%changelog
* Sat Mar 25 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.0-1
- init from upstream
